%define	rname libssh2

%define	major 1
%define libname	%mklibname ssh2_ %{major}
%define develname %mklibname ssh2 -d

Summary:	A library implementing the SSH2 protocol
Name:		%{rname}
Version:	0.18
Release:	%mkrel 4
Group:		System/Libraries
License:	BSD
URL:		http://www.libssh2.org/
Source0:	http://prdownloads.sourceforge.net/libssh2/%{rname}-%{version}.tar.gz
BuildRequires:	pkgconfig
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{rname}-%{version}-buildroot

%description
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n     %{libname}
Summary:	A library implementing the SSH2 protocol
Group:		System/Libraries

%description -n %{libname}
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n	%{develname}
Summary:	Static library and header files for the %{rname} library
Group:		Development/C
Provides:	%{rname}-devel = %{version}
Provides:	libssh-devel = %{version}
Provides:	ssh2-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

This package contains the static %{rname} library and its header files.

%prep

%setup -q -n %{rname}-%{version}

# this is a mess
perl -pi -e "s|/lib/|/%{_lib}/|g" configure.in
perl -pi -e "s|/lib\b|/%{_lib}|g" configure.in

%build
rm -f configure
libtoolize --copy --force; aclocal -I m4; autoconf; automake --add-missing

%serverbuild

%configure2_5x \
    --without-libgcrypt-prefix \
    --with-openssl=%{_prefix} \
    --with-libz=%{_prefix}

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*


%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.18-4mdv2009.0
+ Revision: 223004
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 19 2008 Anssi Hannula <anssi@mandriva.org> 0.18-3mdv2008.1
+ Revision: 155073
- provide ssh2-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Oden Eriksson <oeriksson@mandriva.com> 0.18-2mdv2008.1
+ Revision: 108418
- rebuild
- fix build on older distros

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.18-1mdv2008.1
+ Revision: 107530
- 0.18

* Tue Aug 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-1mdv2008.0
+ Revision: 59909
- 0.17

* Mon Aug 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdv2008.0
+ Revision: 59479
- 0.16

* Tue Jun 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.15-2mdv2008.0
+ Revision: 44407
- fix correct libname, thanks mrl and anssi
- it has a major (1) now, so use it
- make it build
- run the test suite
- use the %%serverbuild macro

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version
    - new devel library policy


* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.14-2mdv2007.0
+ Revision: 74579
- bunzip patches
- fix deps
- Import libssh2

* Tue Jul 25 2006 Emmanuel Andry <eandry@mandriva.org> 0.14-1mdv2007.0
- 0.14
- %%mkrel
- rediff P0

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdk
- 0.12

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdk
- added one lib64 fix

* Sat Jul 02 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdk
- 0.10
- added one lib64 fix
- fix requires-on-release

* Sun Jun 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.5-2mdk
- add BuildRequires: zlib-devel

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5-1mdk
- 0.5

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-2mdk
- second try + one lib64 fix (P1)

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-1mdk
- initial mandrake package

